//
//  LDShotView.m
//  LDShot
//
//  Created by Anne on 16/6/19.
//  Copyright © 2016年 Anne. All rights reserved.
//

#import "LDShotView.h"

@implementation LDShotView

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
        self.arrayImage = [NSMutableArray array];
        self.backgroundColor = [UIColor blackColor];
        self.imgView = [[UIImageView alloc] initWithFrame:self.bounds];
        
        self.maskView = [[UIView alloc] initWithFrame:self.bounds];
        _maskView.backgroundColor = [UIColor colorWithHue:0 saturation:0 brightness:0 alpha:0.4];
        [self addSubview:_imgView];
        [self addSubview:_maskView];
    }
    return self;
}

- (void)showEffectChange:(CGPoint)pt
{
    if (pt.x > 0)
    {
        _maskView.backgroundColor = [UIColor colorWithHue:0 saturation:0 brightness:0 alpha:-pt.x / kScreenW * 0.4 + 0.4];
        _imgView.transform = CGAffineTransformMakeScale(0.95 + (pt.x / kScreenW * 0.05), 0.95 + (pt.x / kScreenW * 0.05));
    }
}
- (void)restore
{
    if (_maskView && _imgView)
    {
        _maskView.backgroundColor = [UIColor colorWithHue:0 saturation:0 brightness:0 alpha:0.4];
        _imgView.transform = CGAffineTransformMakeScale(0.95, 0.95);
    }
}
- (void)screenShot
{


}

#pragma mark - getter setter


@end
